<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_2f6f8cc0f85893c4a78cb7e0efd" . "c5df7" => base64_decode("dGV4dC9wbGFpb" . "g=="), "_91cf532e616098b2b8ed" . "e14ed22e3744" => base64_decode("dGhpb" . "mtpbm" . "c="), "_dfec7e1cbbaedbb732332278565a270" . "1" => base64_decode("YXBwbGljY" . "XRpb24van" . "Nvbg=="), "_3aac11e456555ea60fb59509d5a" . "e9965" => base64_decode("dG" . "9w" . "X3" . "A="), "_0b4b4ff99befdef2eebaa99e9475002" . "7" => base64_decode("cmVzcG9uc2Vf" . "c2NoZW1h"), "_16800403a5ed18b8f95f8aab660" . "3396c" => base64_decode("cmVzcG9uc2VfbWltZ" . "V90eXBl"), "_cc728da4f277c0480a16" . "d9c70a1b505a" => base64_decode("dG9wX" . "2s="), "_bd71c3b" . "5c201fc1" . "1db82ed1" . "4ce424de" . "5" => base64_decode("aW5fY" . "XJyYX" . "k="), "_c03ddb4eb748c3a7" . "d2235b642e944863" => base64_decode("dGVtcGVyYXR1c" . "mU="), "_e80d78064759a37c89a" . "68c56321c42c5" => base64_decode("bWF4X291" . "dHB1dF90" . "b2tlbnM="));
use BadMethodCallException;
class AiTextGenerationConfiguration implements AiConfigurationInterface
{
    public const DEFAULT_RESPONSE_MIME_TYPE = 'text/plain';
    public const DEFAULT_RESPONSE_SCHEMA = [];
    public const DEFAULT_TEMPERATURE = 0.7;
    public const DEFAULT_TOP_P = 1.0;
    public const DEFAULT_TOP_K = 50;
    public const DEFAULT_THINKING = false;
    public const MAX_OUTPUT_TOKENS = 8192;
    private string $responseMimeType = self::DEFAULT_RESPONSE_MIME_TYPE;
    private array $responseSchema = self::DEFAULT_RESPONSE_SCHEMA;
    private float $temperature = self::DEFAULT_TEMPERATURE;
    private float $topP = self::DEFAULT_TOP_P;
    private int $topK = self::DEFAULT_TOP_K;
    private bool $thinking = self::DEFAULT_THINKING;
    private int $maxOutputTokens = self::MAX_OUTPUT_TOKENS;
    
    
    
    
    
    
    
    
    public function getTemperature() : float
    {
        return $this->temperature;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function setTemperature(float $_c03ddb4eb748c3a7d2235b642e944863) : self
    {
        $this->temperature = $_c03ddb4eb748c3a7d2235b642e944863;
        return $this;
    }
    
    
    
    
    
    
    
    
    public function getTopP() : float
    {
        return $this->topP;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function setTopP(float $_3aac11e456555ea60fb59509d5ae9965) : self
    {
        $this->topP = $_3aac11e456555ea60fb59509d5ae9965;
        return $this;
    }
    
    
    
    
    
    
    
    
    public function getTopK() : int
    {
        return $this->topK;
    }
    
    
    
    
    
    
    
    
    
    
    
    public function setTopK(float $_cc728da4f277c0480a16d9c70a1b505a) : self
    {
        $this->topK = (int) $_cc728da4f277c0480a16d9c70a1b505a;
        return $this;
    }
    
    
    
    
    
    
    public function getResponseMimeType() : string
    {
        return $this->responseMimeType;
    }
    
    
    
    
    
    
    
    
    
    public function setResponseMimeType(string $_cd261a0ff13e4a972caf38ba0d735df6) : self
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_bd71c3b5c201fc11db82ed14ce424d" . "e5"]($_cd261a0ff13e4a972caf38ba0d735df6, [$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2f6f8cc0f85893c4a78cb7e" . "0efdc5df7"], $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_dfec7e1cbbaedbb73233227" . "8565a2701"]])) {
            return $this;
        }
        $this->responseMimeType = $_cd261a0ff13e4a972caf38ba0d735df6;
        return $this;
    }
    
    
    
    
    
    
    public function getResponseSchema() : array
    {
        return $this->responseSchema;
    }
    
    
    
    
    
    
    
    
    
    public function setResponseSchema(array $_af238b1b28f8dbe6d89ba34d0a85a77c) : self
    {
        $this->responseSchema = $_af238b1b28f8dbe6d89ba34d0a85a77c;
        return $this;
    }
    
    
    
    
    
    
    public function getThinking() : bool
    {
        return $this->thinking;
    }
    
    
    
    
    
    
    
    
    
    
    public function setThinking(bool $_99cee2d2272a8550f4b21e3cb57fff7d) : self
    {
        $this->thinking = $_99cee2d2272a8550f4b21e3cb57fff7d;
        return $this;
    }
    
    
    
    
    
    
    
    public function setMaxOutputTokens(int $_e0d97eb4b205d8e1c5f6153f158d3e09) : self
    {
        $this->maxOutputTokens = $_e0d97eb4b205d8e1c5f6153f158d3e09;
        return $this;
    }
    
    
    
    
    
    
    public function getMaxOutputTokens() : int
    {
        return $this->maxOutputTokens;
    }
    public function toArray() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c03ddb4eb748c3a7d2235" . "b642e944863"] => $this->temperature, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_3aac11e456555e" . "a60fb59509d5ae9" . "965"] => $this->topP, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_cc728da4f" . "277c0480a1" . "6d9c70a1b5" . "05a"] => $this->topK, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_16800403a5ed1" . "8b8f95f8aab660" . "3396c"] => $this->responseMimeType, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0b4b4ff99befdef2eebaa99e94750" . "027"] => $this->responseSchema, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_91cf532e61" . "6098b2b8ede" . "14ed22e3744"] => $this->thinking, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e80d78064759a37c89" . "a68c56321c42c5"] => $this->maxOutputTokens];
    }
}